%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr

Name: WebMaker
Summary: WebMaker is a GUI HTML editor
Version: 0.8.5
Release: 9
Serial: 1
Source: http://www.services.ru/linux/webmaker/%{name}-%{version}.tar.gz
Patch: WebMaker-0.8.5-bug.patch
URL: http://www.services.ru/linux/webmaker/
License: GPL
Group: Applications/Editors
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: kdelibs
BuildPrereq: qt1x-devel, kdelibs-devel >= 1.1.2-19
%ifnarch ia64
BuildPrereq: compat-egcs-c++
%endif
Prefix: %{kdeprefix}
Excludearch: ia64

%description
WebMaker is a GUI HTML Editor for Unix. Main features include a nice
GUI interface, menus, toolbar and dialogs for tag editing, multiple
windows support, HTML 4.0 support, color syntax highlighting, preview
with external browser, ability to filter editor content through any
external program that supports stdin/stdout and KDE integration.

%prep
%setup -q
%patch -p1 -b .bug

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir}
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] &&  libtoolize --copy --force
CFLAGS="$FLAGS" CXXFLAGS="$FLAGS" ./configure --prefix=%{kdeprefix}

make -j $CPUS

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

# kdebase contains these icons
for i in html.xpm image.xpm trash.xpm txt.xpm unknown.xpm; do
  rm -f $RPM_BUILD_ROOT$KDEDIR/share/icons/mini/$i
done

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Thu Aug 3 2000 Than Ngo <than@redhat.de>
- rebuilt against libpng-1.0.8 and kdelibs-1.1.2

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sun Jul 23 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-libstdc++

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with egcs++-1.1.2

* Sat Jun 17 2000 Than Ngo <than@redhat.de>
- rebuilt to fix dependency problem (Bug# 9855)

* Sat Jun 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix compilation with gcc 2.96
- fix segfault on "save all files"

* Tue Feb 22 2000 Preston Brown <pbrown@redhat.com>
- build with proper kde_htmldir

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.8.5
- Qt 1.45
- fix compilation (QTDIR defaults to qt 2.1!)
- require qt1x, not qt
- buildprereq qt1x-devel

* Sat May 01 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0
